<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

if (!class_exists('G5Plus_Inc_Font_Icon')) {
	class G5Plus_Inc_Font_Icon {
		private static $_instance;
		public static function getInstance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		public function registerAssets()
		{
			$icon_font = array(
				'font-awesome' => array(
					'url' => g5Theme()->helper()->getAssetUrl('assets/vendors/font-awesome/css/font-awesome.min.css'),
					'ver' => '4.7.0'
				),
                'themify-icons' => array(
                    'url' => g5Theme()->helper()->getAssetUrl('assets/vendors/themify-icons/css/themify-icons.min.css'),
                    'ver' => false
                ),
                'ionicons' => array(
                    'url' => g5Theme()->helper()->getAssetUrl('assets/vendors/ionicons/css/ionicons.min.css'),
                    'ver' => false
                )
			);
			$icon_fonts_active = g5Theme()->options()->get_icon_active();
			if(!empty($icon_fonts_active) && in_array('organic-food', $icon_fonts_active)) {
                $icon_font['organic-food'] = array(
                    'url' => g5Theme()->helper()->getAssetUrl('assets/vendors/organic-food/css/organic-food.min.css'),
                    'ver' => false
                );
            }
			return apply_filters('gsf_icon_font_resource', $icon_font);
		}

		public function registerConfig()
		{
			$config = array(
				'font_awesome' => array(
					'label' => esc_html__('Font Awesome', 'g5plus-april'),
					'iconGroup' => json_decode('[{"id":"new","title":"41 New Icons in 4.7","icons":["fa fa-address-book","fa fa-address-book-o","fa fa-address-card","fa fa-address-card-o","fa fa-bandcamp","fa fa-bath","fa fa-bathtub","fa fa-drivers-license","fa fa-drivers-license-o","fa fa-eercast","fa fa-envelope-open","fa fa-envelope-open-o","fa fa-etsy","fa fa-free-code-camp","fa fa-grav","fa fa-handshake-o","fa fa-id-badge","fa fa-id-card","fa fa-id-card-o","fa fa-imdb","fa fa-linode","fa fa-meetup","fa fa-microchip","fa fa-podcast","fa fa-quora","fa fa-ravelry","fa fa-s15","fa fa-shower","fa fa-snowflake-o","fa fa-superpowers","fa fa-telegram","fa fa-thermometer","fa fa-thermometer-0","fa fa-thermometer-1","fa fa-thermometer-2","fa fa-thermometer-3","fa fa-thermometer-4","fa fa-thermometer-empty","fa fa-thermometer-full","fa fa-thermometer-half","fa fa-thermometer-quarter","fa fa-thermometer-three-quarters","fa fa-times-rectangle","fa fa-times-rectangle-o","fa fa-user-circle","fa fa-user-circle-o","fa fa-user-o","fa fa-vcard","fa fa-vcard-o","fa fa-window-close","fa fa-window-close-o","fa fa-window-maximize","fa fa-window-minimize","fa fa-window-restore","fa fa-wpexplorer"]},{"id":"web-application","title":"Web Application Icons","icons":["fa fa-address-book","fa fa-address-book-o","fa fa-address-card","fa fa-address-card-o","fa fa-adjust","fa fa-american-sign-language-interpreting","fa fa-anchor","fa fa-archive","fa fa-area-chart","fa fa-arrows","fa fa-arrows-h","fa fa-arrows-v","fa fa-asl-interpreting","fa fa-assistive-listening-systems","fa fa-asterisk","fa fa-at","fa fa-audio-description","fa fa-automobile","fa fa-balance-scale","fa fa-ban","fa fa-bank","fa fa-bar-chart","fa fa-bar-chart-o","fa fa-barcode","fa fa-bars","fa fa-bath","fa fa-bathtub","fa fa-battery","fa fa-battery-0","fa fa-battery-1","fa fa-battery-2","fa fa-battery-3","fa fa-battery-4","fa fa-battery-empty","fa fa-battery-full","fa fa-battery-half","fa fa-battery-quarter","fa fa-battery-three-quarters","fa fa-bed","fa fa-beer","fa fa-bell","fa fa-bell-o","fa fa-bell-slash","fa fa-bell-slash-o","fa fa-bicycle","fa fa-binoculars","fa fa-birthday-cake","fa fa-blind","fa fa-bluetooth","fa fa-bluetooth-b","fa fa-bolt","fa fa-bomb","fa fa-book","fa fa-bookmark","fa fa-bookmark-o","fa fa-braille","fa fa-briefcase","fa fa-bug","fa fa-building","fa fa-building-o","fa fa-bullhorn","fa fa-bullseye","fa fa-bus","fa fa-cab","fa fa-calculator","fa fa-calendar","fa fa-calendar-check-o","fa fa-calendar-minus-o","fa fa-calendar-o","fa fa-calendar-plus-o","fa fa-calendar-times-o","fa fa-camera","fa fa-camera-retro","fa fa-car","fa fa-caret-square-o-down","fa fa-caret-square-o-left","fa fa-caret-square-o-right","fa fa-caret-square-o-up","fa fa-cart-arrow-down","fa fa-cart-plus","fa fa-cc","fa fa-certificate","fa fa-check","fa fa-check-circle","fa fa-check-circle-o","fa fa-check-square","fa fa-check-square-o","fa fa-child","fa fa-circle","fa fa-circle-o","fa fa-circle-o-notch","fa fa-circle-thin","fa fa-clock-o","fa fa-clone","fa fa-close","fa fa-cloud","fa fa-cloud-download","fa fa-cloud-upload","fa fa-code","fa fa-code-fork","fa fa-coffee","fa fa-cog","fa fa-cogs","fa fa-comment","fa fa-comment-o","fa fa-commenting","fa fa-commenting-o","fa fa-comments","fa fa-comments-o","fa fa-compass","fa fa-copyright","fa fa-creative-commons","fa fa-credit-card","fa fa-credit-card-alt","fa fa-crop","fa fa-crosshairs","fa fa-cube","fa fa-cubes","fa fa-cutlery","fa fa-dashboard","fa fa-database","fa fa-deaf","fa fa-deafness","fa fa-desktop","fa fa-diamond","fa fa-dot-circle-o","fa fa-download","fa fa-drivers-license","fa fa-drivers-license-o","fa fa-edit","fa fa-ellipsis-h","fa fa-ellipsis-v","fa fa-envelope","fa fa-envelope-o","fa fa-envelope-open","fa fa-envelope-open-o","fa fa-envelope-square","fa fa-eraser","fa fa-exchange","fa fa-exclamation","fa fa-exclamation-circle","fa fa-exclamation-triangle","fa fa-external-link","fa fa-external-link-square","fa fa-eye","fa fa-eye-slash","fa fa-eyedropper","fa fa-fax","fa fa-feed","fa fa-female","fa fa-fighter-jet","fa fa-file-archive-o","fa fa-file-audio-o","fa fa-file-code-o","fa fa-file-excel-o","fa fa-file-image-o","fa fa-file-movie-o","fa fa-file-pdf-o","fa fa-file-photo-o","fa fa-file-picture-o","fa fa-file-powerpoint-o","fa fa-file-sound-o","fa fa-file-video-o","fa fa-file-word-o","fa fa-file-zip-o","fa fa-film","fa fa-filter","fa fa-fire","fa fa-fire-extinguisher","fa fa-flag","fa fa-flag-checkered","fa fa-flag-o","fa fa-flash","fa fa-flask","fa fa-folder","fa fa-folder-o","fa fa-folder-open","fa fa-folder-open-o","fa fa-frown-o","fa fa-futbol-o","fa fa-gamepad","fa fa-gavel","fa fa-gear","fa fa-gears","fa fa-gift","fa fa-glass","fa fa-globe","fa fa-graduation-cap","fa fa-group","fa fa-hand-grab-o","fa fa-hand-lizard-o","fa fa-hand-paper-o","fa fa-hand-peace-o","fa fa-hand-pointer-o","fa fa-hand-rock-o","fa fa-hand-scissors-o","fa fa-hand-spock-o","fa fa-hand-stop-o","fa fa-handshake-o","fa fa-hard-of-hearing","fa fa-hashtag","fa fa-hdd-o","fa fa-headphones","fa fa-heart","fa fa-heart-o","fa fa-heartbeat","fa fa-history","fa fa-home","fa fa-hotel","fa fa-hourglass","fa fa-hourglass-1","fa fa-hourglass-2","fa fa-hourglass-3","fa fa-hourglass-end","fa fa-hourglass-half","fa fa-hourglass-o","fa fa-hourglass-start","fa fa-i-cursor","fa fa-id-badge","fa fa-id-card","fa fa-id-card-o","fa fa-image","fa fa-inbox","fa fa-industry","fa fa-info","fa fa-info-circle","fa fa-institution","fa fa-key","fa fa-keyboard-o","fa fa-language","fa fa-laptop","fa fa-leaf","fa fa-legal","fa fa-lemon-o","fa fa-level-down","fa fa-level-up","fa fa-life-bouy","fa fa-life-buoy","fa fa-life-ring","fa fa-life-saver","fa fa-lightbulb-o","fa fa-line-chart","fa fa-location-arrow","fa fa-lock","fa fa-low-vision","fa fa-magic","fa fa-magnet","fa fa-mail-forward","fa fa-mail-reply","fa fa-mail-reply-all","fa fa-male","fa fa-map","fa fa-map-marker","fa fa-map-o","fa fa-map-pin","fa fa-map-signs","fa fa-meh-o","fa fa-microchip","fa fa-microphone","fa fa-microphone-slash","fa fa-minus","fa fa-minus-circle","fa fa-minus-square","fa fa-minus-square-o","fa fa-mobile","fa fa-mobile-phone","fa fa-money","fa fa-moon-o","fa fa-mortar-board","fa fa-motorcycle","fa fa-mouse-pointer","fa fa-music","fa fa-navicon","fa fa-newspaper-o","fa fa-object-group","fa fa-object-ungroup","fa fa-paint-brush","fa fa-paper-plane","fa fa-paper-plane-o","fa fa-paw","fa fa-pencil","fa fa-pencil-square","fa fa-pencil-square-o","fa fa-percent","fa fa-phone","fa fa-phone-square","fa fa-photo","fa fa-picture-o","fa fa-pie-chart","fa fa-plane","fa fa-plug","fa fa-plus","fa fa-plus-circle","fa fa-plus-square","fa fa-plus-square-o","fa fa-podcast","fa fa-power-off","fa fa-print","fa fa-puzzle-piece","fa fa-qrcode","fa fa-question","fa fa-question-circle","fa fa-question-circle-o","fa fa-quote-left","fa fa-quote-right","fa fa-random","fa fa-recycle","fa fa-refresh","fa fa-registered","fa fa-remove","fa fa-reorder","fa fa-reply","fa fa-reply-all","fa fa-retweet","fa fa-road","fa fa-rocket","fa fa-rss","fa fa-rss-square","fa fa-s15","fa fa-search","fa fa-search-minus","fa fa-search-plus","fa fa-send","fa fa-send-o","fa fa-server","fa fa-share","fa fa-share-alt","fa fa-share-alt-square","fa fa-share-square","fa fa-share-square-o","fa fa-shield","fa fa-ship","fa fa-shopping-bag","fa fa-shopping-basket","fa fa-shopping-cart","fa fa-shower","fa fa-sign-in","fa fa-sign-language","fa fa-sign-out","fa fa-signal","fa fa-signing","fa fa-sitemap","fa fa-sliders","fa fa-smile-o","fa fa-snowflake-o","fa fa-soccer-ball-o","fa fa-sort","fa fa-sort-alpha-asc","fa fa-sort-alpha-desc","fa fa-sort-amount-asc","fa fa-sort-amount-desc","fa fa-sort-asc","fa fa-sort-desc","fa fa-sort-down","fa fa-sort-numeric-asc","fa fa-sort-numeric-desc","fa fa-sort-up","fa fa-space-shuttle","fa fa-spinner","fa fa-spoon","fa fa-square","fa fa-square-o","fa fa-star","fa fa-star-half","fa fa-star-half-empty","fa fa-star-half-full","fa fa-star-half-o","fa fa-star-o","fa fa-sticky-note","fa fa-sticky-note-o","fa fa-street-view","fa fa-suitcase","fa fa-sun-o","fa fa-support","fa fa-tablet","fa fa-tachometer","fa fa-tag","fa fa-tags","fa fa-tasks","fa fa-taxi","fa fa-television","fa fa-terminal","fa fa-thermometer","fa fa-thermometer-0","fa fa-thermometer-1","fa fa-thermometer-2","fa fa-thermometer-3","fa fa-thermometer-4","fa fa-thermometer-empty","fa fa-thermometer-full","fa fa-thermometer-half","fa fa-thermometer-quarter","fa fa-thermometer-three-quarters","fa fa-thumb-tack","fa fa-thumbs-down","fa fa-thumbs-o-down","fa fa-thumbs-o-up","fa fa-thumbs-up","fa fa-ticket","fa fa-times","fa fa-times-circle","fa fa-times-circle-o","fa fa-times-rectangle","fa fa-times-rectangle-o","fa fa-tint","fa fa-toggle-down","fa fa-toggle-left","fa fa-toggle-off","fa fa-toggle-on","fa fa-toggle-right","fa fa-toggle-up","fa fa-trademark","fa fa-trash","fa fa-trash-o","fa fa-tree","fa fa-trophy","fa fa-truck","fa fa-tty","fa fa-tv","fa fa-umbrella","fa fa-universal-access","fa fa-university","fa fa-unlock","fa fa-unlock-alt","fa fa-unsorted","fa fa-upload","fa fa-user","fa fa-user-circle","fa fa-user-circle-o","fa fa-user-o","fa fa-user-plus","fa fa-user-secret","fa fa-user-times","fa fa-users","fa fa-vcard","fa fa-vcard-o","fa fa-video-camera","fa fa-volume-control-phone","fa fa-volume-down","fa fa-volume-off","fa fa-volume-up","fa fa-warning","fa fa-wheelchair","fa fa-wheelchair-alt","fa fa-wifi","fa fa-window-close","fa fa-window-close-o","fa fa-window-maximize","fa fa-window-minimize","fa fa-window-restore","fa fa-wrench"]},{"id":"accessibility","title":"Accessibility Icons","icons":["fa fa-american-sign-language-interpreting","fa fa-asl-interpreting","fa fa-assistive-listening-systems","fa fa-audio-description","fa fa-blind","fa fa-braille","fa fa-cc","fa fa-deaf","fa fa-deafness","fa fa-hard-of-hearing","fa fa-low-vision","fa fa-question-circle-o","fa fa-sign-language","fa fa-signing","fa fa-tty","fa fa-universal-access","fa fa-volume-control-phone","fa fa-wheelchair","fa fa-wheelchair-alt"]},{"id":"hand","title":"Hand Icons","icons":["fa fa-hand-grab-o","fa fa-hand-lizard-o","fa fa-hand-o-down","fa fa-hand-o-left","fa fa-hand-o-right","fa fa-hand-o-up","fa fa-hand-paper-o","fa fa-hand-peace-o","fa fa-hand-pointer-o","fa fa-hand-rock-o","fa fa-hand-scissors-o","fa fa-hand-spock-o","fa fa-hand-stop-o","fa fa-thumbs-down","fa fa-thumbs-o-down","fa fa-thumbs-o-up","fa fa-thumbs-up"]},{"id":"transportation","title":"Transportation Icons","icons":["fa fa-ambulance","fa fa-automobile","fa fa-bicycle","fa fa-bus","fa fa-cab","fa fa-car","fa fa-fighter-jet","fa fa-motorcycle","fa fa-plane","fa fa-rocket","fa fa-ship","fa fa-space-shuttle","fa fa-subway","fa fa-taxi","fa fa-train","fa fa-truck","fa fa-wheelchair","fa fa-wheelchair-alt"]},{"id":"gender","title":"Gender Icons","icons":["fa fa-genderless","fa fa-intersex","fa fa-mars","fa fa-mars-double","fa fa-mars-stroke","fa fa-mars-stroke-h","fa fa-mars-stroke-v","fa fa-mercury","fa fa-neuter","fa fa-transgender","fa fa-transgender-alt","fa fa-venus","fa fa-venus-double","fa fa-venus-mars"]},{"id":"file-type","title":"File Type Icons","icons":["fa fa-file","fa fa-file-archive-o","fa fa-file-audio-o","fa fa-file-code-o","fa fa-file-excel-o","fa fa-file-image-o","fa fa-file-movie-o","fa fa-file-o","fa fa-file-pdf-o","fa fa-file-photo-o","fa fa-file-picture-o","fa fa-file-powerpoint-o","fa fa-file-sound-o","fa fa-file-text","fa fa-file-text-o","fa fa-file-video-o","fa fa-file-word-o","fa fa-file-zip-o"]},{"id":"spinner","title":"Spinner Icons","icons":["fa fa-circle-o-notch","fa fa-cog","fa fa-gear","fa fa-refresh","fa fa-spinner"]},{"id":"form-control","title":"Form Control Icons","icons":["fa fa-check-square","fa fa-check-square-o","fa fa-circle","fa fa-circle-o","fa fa-dot-circle-o","fa fa-minus-square","fa fa-minus-square-o","fa fa-plus-square","fa fa-plus-square-o","fa fa-square","fa fa-square-o"]},{"id":"payment","title":"Payment Icons","icons":["fa fa-cc-amex","fa fa-cc-diners-club","fa fa-cc-discover","fa fa-cc-jcb","fa fa-cc-mastercard","fa fa-cc-paypal","fa fa-cc-stripe","fa fa-cc-visa","fa fa-credit-card","fa fa-credit-card-alt","fa fa-google-wallet","fa fa-paypal"]},{"id":"chart","title":"Chart Icons","icons":["fa fa-area-chart","fa fa-bar-chart","fa fa-bar-chart-o","fa fa-line-chart","fa fa-pie-chart"]},{"id":"currency","title":"Currency Icons","icons":["fa fa-bitcoin","fa fa-btc","fa fa-cny","fa fa-dollar","fa fa-eur","fa fa-euro","fa fa-gbp","fa fa-gg","fa fa-gg-circle","fa fa-ils","fa fa-inr","fa fa-jpy","fa fa-krw","fa fa-money","fa fa-rmb","fa fa-rouble","fa fa-rub","fa fa-ruble","fa fa-rupee","fa fa-shekel","fa fa-sheqel","fa fa-try","fa fa-turkish-lira","fa fa-usd","fa fa-won","fa fa-yen"]},{"id":"text-editor","title":"Text Editor Icons","icons":["fa fa-align-center","fa fa-align-justify","fa fa-align-left","fa fa-align-right","fa fa-bold","fa fa-chain","fa fa-chain-broken","fa fa-clipboard","fa fa-columns","fa fa-copy","fa fa-cut","fa fa-dedent","fa fa-eraser","fa fa-file","fa fa-file-o","fa fa-file-text","fa fa-file-text-o","fa fa-files-o","fa fa-floppy-o","fa fa-font","fa fa-header","fa fa-indent","fa fa-italic","fa fa-link","fa fa-list","fa fa-list-alt","fa fa-list-ol","fa fa-list-ul","fa fa-outdent","fa fa-paperclip","fa fa-paragraph","fa fa-paste","fa fa-repeat","fa fa-rotate-left","fa fa-rotate-right","fa fa-save","fa fa-scissors","fa fa-strikethrough","fa fa-subscript","fa fa-superscript","fa fa-table","fa fa-text-height","fa fa-text-width","fa fa-th","fa fa-th-large","fa fa-th-list","fa fa-underline","fa fa-undo","fa fa-unlink"]},{"id":"directional","title":"Directional Icons","icons":["fa fa-angle-double-down","fa fa-angle-double-left","fa fa-angle-double-right","fa fa-angle-double-up","fa fa-angle-down","fa fa-angle-left","fa fa-angle-right","fa fa-angle-up","fa fa-arrow-circle-down","fa fa-arrow-circle-left","fa fa-arrow-circle-o-down","fa fa-arrow-circle-o-left","fa fa-arrow-circle-o-right","fa fa-arrow-circle-o-up","fa fa-arrow-circle-right","fa fa-arrow-circle-up","fa fa-arrow-down","fa fa-arrow-left","fa fa-arrow-right","fa fa-arrow-up","fa fa-arrows","fa fa-arrows-alt","fa fa-arrows-h","fa fa-arrows-v","fa fa-caret-down","fa fa-caret-left","fa fa-caret-right","fa fa-caret-square-o-down","fa fa-caret-square-o-left","fa fa-caret-square-o-right","fa fa-caret-square-o-up","fa fa-caret-up","fa fa-chevron-circle-down","fa fa-chevron-circle-left","fa fa-chevron-circle-right","fa fa-chevron-circle-up","fa fa-chevron-down","fa fa-chevron-left","fa fa-chevron-right","fa fa-chevron-up","fa fa-exchange","fa fa-hand-o-down","fa fa-hand-o-left","fa fa-hand-o-right","fa fa-hand-o-up","fa fa-long-arrow-down","fa fa-long-arrow-left","fa fa-long-arrow-right","fa fa-long-arrow-up","fa fa-toggle-down","fa fa-toggle-left","fa fa-toggle-right","fa fa-toggle-up"]},{"id":"video-player","title":"Video Player Icons","icons":["fa fa-arrows-alt","fa fa-backward","fa fa-compress","fa fa-eject","fa fa-expand","fa fa-fast-backward","fa fa-fast-forward","fa fa-forward","fa fa-pause","fa fa-pause-circle","fa fa-pause-circle-o","fa fa-play","fa fa-play-circle","fa fa-play-circle-o","fa fa-random","fa fa-step-backward","fa fa-step-forward","fa fa-stop","fa fa-stop-circle","fa fa-stop-circle-o","fa fa-youtube-play"]},{"id":"brand","title":"Brand Icons","icons":["fa fa-500px","fa fa-adn","fa fa-amazon","fa fa-android","fa fa-angellist","fa fa-apple","fa fa-bandcamp","fa fa-behance","fa fa-behance-square","fa fa-bitbucket","fa fa-bitbucket-square","fa fa-bitcoin","fa fa-black-tie","fa fa-bluetooth","fa fa-bluetooth-b","fa fa-btc","fa fa-buysellads","fa fa-cc-amex","fa fa-cc-diners-club","fa fa-cc-discover","fa fa-cc-jcb","fa fa-cc-mastercard","fa fa-cc-paypal","fa fa-cc-stripe","fa fa-cc-visa","fa fa-chrome","fa fa-codepen","fa fa-codiepie","fa fa-connectdevelop","fa fa-contao","fa fa-css3","fa fa-dashcube","fa fa-delicious","fa fa-deviantart","fa fa-digg","fa fa-dribbble","fa fa-dropbox","fa fa-drupal","fa fa-edge","fa fa-eercast","fa fa-empire","fa fa-envira","fa fa-etsy","fa fa-expeditedssl","fa fa-fa","fa fa-facebook","fa fa-facebook-f","fa fa-facebook-official","fa fa-facebook-square","fa fa-firefox","fa fa-first-order","fa fa-flickr","fa fa-font-awesome","fa fa-fonticons","fa fa-fort-awesome","fa fa-forumbee","fa fa-foursquare","fa fa-free-code-camp","fa fa-ge","fa fa-get-pocket","fa fa-gg","fa fa-gg-circle","fa fa-git","fa fa-git-square","fa fa-github","fa fa-github-alt","fa fa-github-square","fa fa-gitlab","fa fa-gittip","fa fa-glide","fa fa-glide-g","fa fa-google","fa fa-google-plus","fa fa-google-plus-circle","fa fa-google-plus-official","fa fa-google-plus-square","fa fa-google-wallet","fa fa-gratipay","fa fa-grav","fa fa-hacker-news","fa fa-houzz","fa fa-html5","fa fa-imdb","fa fa-instagram","fa fa-internet-explorer","fa fa-ioxhost","fa fa-joomla","fa fa-jsfiddle","fa fa-lastfm","fa fa-lastfm-square","fa fa-leanpub","fa fa-linkedin","fa fa-linkedin-square","fa fa-linode","fa fa-linux","fa fa-maxcdn","fa fa-meanpath","fa fa-medium","fa fa-meetup","fa fa-mixcloud","fa fa-modx","fa fa-odnoklassniki","fa fa-odnoklassniki-square","fa fa-opencart","fa fa-openid","fa fa-opera","fa fa-optin-monster","fa fa-pagelines","fa fa-paypal","fa fa-pied-piper","fa fa-pied-piper-alt","fa fa-pied-piper-pp","fa fa-pinterest","fa fa-pinterest-p","fa fa-pinterest-square","fa fa-product-hunt","fa fa-qq","fa fa-quora","fa fa-ra","fa fa-ravelry","fa fa-rebel","fa fa-reddit","fa fa-reddit-alien","fa fa-reddit-square","fa fa-renren","fa fa-resistance","fa fa-safari","fa fa-scribd","fa fa-sellsy","fa fa-share-alt","fa fa-share-alt-square","fa fa-shirtsinbulk","fa fa-simplybuilt","fa fa-skyatlas","fa fa-skype","fa fa-slack","fa fa-slideshare","fa fa-snapchat","fa fa-snapchat-ghost","fa fa-snapchat-square","fa fa-soundcloud","fa fa-spotify","fa fa-stack-exchange","fa fa-stack-overflow","fa fa-steam","fa fa-steam-square","fa fa-stumbleupon","fa fa-stumbleupon-circle","fa fa-superpowers","fa fa-telegram","fa fa-tencent-weibo","fa fa-themeisle","fa fa-trello","fa fa-tripadvisor","fa fa-tumblr","fa fa-tumblr-square","fa fa-twitch","fa fa-twitter","fa fa-twitter-square","fa fa-usb","fa fa-viacoin","fa fa-viadeo","fa fa-viadeo-square","fa fa-vimeo","fa fa-vimeo-square","fa fa-vine","fa fa-vk","fa fa-wechat","fa fa-weibo","fa fa-weixin","fa fa-whatsapp","fa fa-wikipedia-w","fa fa-windows","fa fa-wordpress","fa fa-wpbeginner","fa fa-wpexplorer","fa fa-wpforms","fa fa-xing","fa fa-xing-square","fa fa-y-combinator","fa fa-y-combinator-square","fa fa-yahoo","fa fa-yc","fa fa-yc-square","fa fa-yelp","fa fa-yoast","fa fa-youtube","fa fa-youtube-play","fa fa-youtube-square"]},{"id":"medical","title":"Medical Icons","icons":["fa fa-ambulance","fa fa-h-square","fa fa-heart","fa fa-heart-o","fa fa-heartbeat","fa fa-hospital-o","fa fa-medkit","fa fa-plus-square","fa fa-stethoscope","fa fa-user-md","fa fa-wheelchair","fa fa-wheelchair-alt"]}]')
				),
                'themify-icons' => array(
                    'label' => esc_html__('Themify Icons', 'g5plus-april'),
                    'iconGroup' => json_decode('[{"id": "themify", "title": "Themify Icons", "icons": ["ti-arrow-up", "ti-arrow-right", "ti-arrow-left", "ti-arrow-down", "ti-arrows-vertical", "ti-arrows-horizontal", "ti-angle-up", "ti-angle-right", "ti-angle-left", "ti-angle-down", "ti-angle-double-up", "ti-angle-double-right", "ti-angle-double-left", "ti-angle-double-down", "ti-move", "ti-fullscreen", "ti-arrow-top-right", "ti-arrow-top-left", "ti-arrow-circle-up", "ti-arrow-circle-right", "ti-arrow-circle-left", "ti-arrow-circle-down", "ti-arrows-corner", "ti-split-v", "ti-split-v-alt", "ti-split-h", "ti-hand-point-up", "ti-hand-point-right", "ti-hand-point-left", "ti-hand-point-down", "ti-back-right", "ti-back-left", "ti-exchange-vertical", "ti-wand", "ti-save", "ti-save-alt", "ti-direction", "ti-direction-alt", "ti-user", "ti-link", "ti-unlink", "ti-trash", "ti-target", "ti-tag", "ti-desktop", "ti-tablet", "ti-mobile", "ti-email", "ti-star", "ti-spray", "ti-signal", "ti-shopping-cart", "ti-shopping-cart-full", "ti-settings", "ti-search", "ti-zoom-in", "ti-zoom-out", "ti-cut", "ti-ruler", "ti-ruler-alt-2", "ti-ruler-pencil", "ti-ruler-alt", "ti-bookmark", "ti-bookmark-alt", "ti-reload", "ti-plus", "ti-minus", "ti-close", "ti-pin", "ti-pencil", "ti-pencil-alt", "ti-paint-roller", "ti-paint-bucket", "ti-na", "ti-medall", "ti-medall-alt", "ti-marker", "ti-marker-alt", "ti-lock", "ti-unlock", "ti-location-arrow", "ti-layout", "ti-layers", "ti-layers-alt", "ti-key", "ti-image", "ti-heart", "ti-heart-broken", "ti-hand-stop", "ti-hand-open", "ti-hand-drag", "ti-flag", "ti-flag-alt", "ti-flag-alt-2", "ti-eye", "ti-import", "ti-export", "ti-cup", "ti-crown", "ti-comments", "ti-comment", "ti-comment-alt", "ti-thought", "ti-clip", "ti-check", "ti-check-box", "ti-camera", "ti-announcement", "ti-brush", "ti-brush-alt", "ti-palette", "ti-briefcase", "ti-bolt", "ti-bolt-alt", "ti-blackboard", "ti-bag", "ti-world", "ti-wheelchair", "ti-car", "ti-truck", "ti-timer", "ti-ticket", "ti-thumb-up", "ti-thumb-down", "ti-stats-up", "ti-stats-down", "ti-shine", "ti-shift-right", "ti-shift-left", "ti-shift-right-alt", "ti-shift-left-alt", "ti-shield", "ti-notepad", "ti-server", "ti-pulse", "ti-printer", "ti-power-off", "ti-plug", "ti-pie-chart", "ti-panel", "ti-package", "ti-music", "ti-music-alt", "ti-mouse", "ti-mouse-alt", "ti-money", "ti-microphone", "ti-menu", "ti-menu-alt", "ti-map", "ti-map-alt", "ti-location-pin", "ti-light-bulb", "ti-info", "ti-infinite", "ti-id-badge", "ti-hummer", "ti-home", "ti-help", "ti-headphone", "ti-harddrives", "ti-harddrive", "ti-gift", "ti-game", "ti-filter", "ti-files", "ti-file", "ti-zip", "ti-folder", "ti-envelope", "ti-dashboard", "ti-cloud", "ti-cloud-up", "ti-cloud-down", "ti-clipboard", "ti-calendar", "ti-book", "ti-bell", "ti-basketball", "ti-bar-chart", "ti-bar-chart-alt", "ti-archive", "ti-anchor", "ti-alert", "ti-alarm-clock", "ti-agenda", "ti-write", "ti-wallet", "ti-video-clapper", "ti-video-camera", "ti-vector", "ti-support", "ti-stamp", "ti-slice", "ti-shortcode", "ti-receipt", "ti-pin2", "ti-pin-alt", "ti-pencil-alt2", "ti-eraser", "ti-more", "ti-more-alt", "ti-microphone-alt", "ti-magnet", "ti-line-double", "ti-line-dotted", "ti-line-dashed", "ti-ink-pen", "ti-info-alt", "ti-help-alt", "ti-headphone-alt", "ti-gallery", "ti-face-smile", "ti-face-sad", "ti-credit-card", "ti-comments-smiley", "ti-time", "ti-share", "ti-share-alt", "ti-rocket", "ti-new-window", "ti-rss", "ti-rss-alt", "ti-control-stop", "ti-control-shuffle", "ti-control-play", "ti-control-pause", "ti-control-forward", "ti-control-backward", "ti-volume", "ti-control-skip-forward", "ti-control-skip-backward", "ti-control-record", "ti-control-eject", "ti-paragraph", "ti-uppercase", "ti-underline", "ti-text", "ti-Italic", "ti-smallcap", "ti-list", "ti-list-ol", "ti-align-right", "ti-align-left", "ti-align-justify", "ti-align-center", "ti-quote-right", "ti-quote-left", "ti-layout-width-full", "ti-layout-width-default", "ti-layout-width-default-alt", "ti-layout-tab", "ti-layout-tab-window", "ti-layout-tab-v", "ti-layout-tab-min", "ti-layout-slider", "ti-layout-slider-alt", "ti-layout-sidebar-right", "ti-layout-sidebar-none", "ti-layout-sidebar-left", "ti-layout-placeholder", "ti-layout-menu", "ti-layout-menu-v", "ti-layout-menu-separated", "ti-layout-menu-full", "ti-layout-media-right", "ti-layout-media-right-alt", "ti-layout-media-overlay", "ti-layout-media-overlay-alt", "ti-layout-media-overlay-alt-2", "ti-layout-media-left", "ti-layout-media-left-alt", "ti-layout-media-center", "ti-layout-media-center-alt", "ti-layout-list-thumb", "ti-layout-list-thumb-alt", "ti-layout-list-post", "ti-layout-list-large-image", "ti-layout-line-solid", "ti-layout-grid4", "ti-layout-grid3", "ti-layout-grid2", "ti-layout-grid2-thumb", "ti-layout-cta-right", "ti-layout-cta-left", "ti-layout-cta-center", "ti-layout-cta-btn-right", "ti-layout-cta-btn-left", "ti-layout-column4", "ti-layout-column3", "ti-layout-column2", "ti-layout-accordion-separated", "ti-layout-accordion-merged", "ti-layout-accordion-list", "ti-widgetized", "ti-widget", "ti-widget-alt", "ti-view-list", "ti-view-list-alt", "ti-view-grid", "ti-upload", "ti-download", "ti-loop", "ti-layout-sidebar-2", "ti-layout-grid4-alt", "ti-layout-grid3-alt", "ti-layout-grid2-alt", "ti-layout-column4-alt", "ti-layout-column3-alt", "ti-layout-column2-alt", "ti-flickr", "ti-flickr-alt", "ti-instagram", "ti-google", "ti-github", "ti-facebook", "ti-dropbox", "ti-dropbox-alt", "ti-dribbble", "ti-apple", "ti-android", "ti-yahoo", "ti-trello", "ti-stack-overflow", "ti-soundcloud", "ti-sharethis", "ti-sharethis-alt", "ti-reddit", "ti-microsoft", "ti-microsoft-alt", "ti-linux", "ti-jsfiddle", "ti-joomla", "ti-html5", "ti-css3", "ti-drupal", "ti-wordpress", "ti-tumblr", "ti-tumblr-alt", "ti-skype", "ti-youtube", "ti-vimeo", "ti-vimeo-alt", "ti-twitter", "ti-twitter-alt", "ti-linkedin", "ti-pinterest", "ti-pinterest-alt", "ti-themify-logo", "ti-themify-favicon", "ti-themify-favicon-alt" ]}]')
                ),
                'ionicons' => array(
                    'label' => esc_html__('Ionicons', 'g5plus-april'),
                    'iconGroup' => json_decode('[{"id": "ionicons", "title": "Ionicons", "icons": ["ion-alert", "ion-alert-circled", "ion-android-add", "ion-android-add-circle", "ion-android-alarm-clock", "ion-android-alert", "ion-android-apps", "ion-android-archive", "ion-android-arrow-back", "ion-android-arrow-down", "ion-android-arrow-dropdown", "ion-android-arrow-dropdown-circle", "ion-android-arrow-dropleft", "ion-android-arrow-dropleft-circle", "ion-android-arrow-dropright", "ion-android-arrow-dropright-circle", "ion-android-arrow-dropup", "ion-android-arrow-dropup-circle", "ion-android-arrow-forward", "ion-android-arrow-up", "ion-android-attach", "ion-android-bar", "ion-android-bicycle", "ion-android-boat", "ion-android-bookmark", "ion-android-bulb", "ion-android-bus", "ion-android-calendar", "ion-android-call", "ion-android-camera", "ion-android-cancel", "ion-android-car", "ion-android-cart", "ion-android-chat", "ion-android-checkbox", "ion-android-checkbox-blank", "ion-android-checkbox-outline", "ion-android-checkbox-outline-blank", "ion-android-checkmark-circle", "ion-android-clipboard", "ion-android-close", "ion-android-cloud", "ion-android-cloud-circle", "ion-android-cloud-done", "ion-android-cloud-outline", "ion-android-color-palette", "ion-android-compass", "ion-android-contact", "ion-android-contacts", "ion-android-contract", "ion-android-create", "ion-android-delete", "ion-android-desktop", "ion-android-document", "ion-android-done", "ion-android-done-all", "ion-android-download", "ion-android-drafts", "ion-android-exit", "ion-android-expand", "ion-android-favorite", "ion-android-favorite-outline", "ion-android-film", "ion-android-folder", "ion-android-folder-open", "ion-android-funnel", "ion-android-globe", "ion-android-hand", "ion-android-hangout", "ion-android-happy", "ion-android-home", "ion-android-image", "ion-android-laptop", "ion-android-list", "ion-android-locate", "ion-android-lock", "ion-android-mail", "ion-android-map", "ion-android-menu", "ion-android-microphone", "ion-android-microphone-off", "ion-android-more-horizontal", "ion-android-more-vertical", "ion-android-navigate", "ion-android-notifications", "ion-android-notifications-none", "ion-android-notifications-off", "ion-android-open", "ion-android-options", "ion-android-people", "ion-android-person", "ion-android-person-add", "ion-android-phone-landscape", "ion-android-phone-portrait", "ion-android-pin", "ion-android-plane", "ion-android-playstore", "ion-android-print", "ion-android-radio-button-off", "ion-android-radio-button-on", "ion-android-refresh", "ion-android-remove", "ion-android-remove-circle", "ion-android-restaurant", "ion-android-sad", "ion-android-search", "ion-android-send", "ion-android-settings", "ion-android-share", "ion-android-share-alt", "ion-android-star", "ion-android-star-half", "ion-android-star-outline", "ion-android-stopwatch", "ion-android-subway", "ion-android-sunny", "ion-android-sync", "ion-android-textsms", "ion-android-time", "ion-android-train", "ion-android-unlock", "ion-android-upload", "ion-android-volume-down", "ion-android-volume-mute", "ion-android-volume-off", "ion-android-volume-up", "ion-android-walk", "ion-android-warning", "ion-android-watch", "ion-android-wifi", "ion-aperture", "ion-archive", "ion-arrow-down-a", "ion-arrow-down-b", "ion-arrow-down-c", "ion-arrow-expand", "ion-arrow-graph-down-left", "ion-arrow-graph-down-right", "ion-arrow-graph-up-left", "ion-arrow-graph-up-right", "ion-arrow-left-a", "ion-arrow-left-b", "ion-arrow-left-c", "ion-arrow-move", "ion-arrow-resize", "ion-arrow-return-left", "ion-arrow-return-right", "ion-arrow-right-a", "ion-arrow-right-b", "ion-arrow-right-c", "ion-arrow-shrink", "ion-arrow-swap", "ion-arrow-up-a", "ion-arrow-up-b", "ion-arrow-up-c", "ion-asterisk", "ion-at", "ion-backspace", "ion-backspace-outline", "ion-bag", "ion-battery-charging", "ion-battery-empty", "ion-battery-full", "ion-battery-half", "ion-battery-low", "ion-beaker", "ion-beer", "ion-bluetooth", "ion-bonfire", "ion-bookmark", "ion-bowtie", "ion-briefcase", "ion-bug", "ion-calculator", "ion-calendar", "ion-camera", "ion-card", "ion-cash", "ion-chatbox", "ion-chatbox-working", "ion-chatboxes", "ion-chatbubble", "ion-chatbubble-working", "ion-chatbubbles", "ion-checkmark", "ion-checkmark-circled", "ion-checkmark-round", "ion-chevron-down", "ion-chevron-left", "ion-chevron-right", "ion-chevron-up", "ion-clipboard", "ion-clock", "ion-close", "ion-close-circled", "ion-close-round", "ion-closed-captioning", "ion-cloud", "ion-code", "ion-code-download", "ion-code-working", "ion-coffee", "ion-compass", "ion-compose", "ion-connection-bars", "ion-contrast", "ion-crop", "ion-cube", "ion-disc", "ion-document", "ion-document-text", "ion-drag", "ion-earth", "ion-easel", "ion-edit", "ion-egg", "ion-eject", "ion-email", "ion-email-unread", "ion-erlenmeyer-flask", "ion-erlenmeyer-flask-bubbles", "ion-eye", "ion-eye-disabled", "ion-female", "ion-filing", "ion-film-marker", "ion-fireball", "ion-flag", "ion-flame", "ion-flash", "ion-flash-off", "ion-folder", "ion-fork", "ion-fork-repo", "ion-forward", "ion-funnel", "ion-gear-a", "ion-gear-b", "ion-grid", "ion-hammer", "ion-happy", "ion-happy-outline", "ion-headphone", "ion-heart", "ion-heart-broken", "ion-help", "ion-help-buoy", "ion-help-circled", "ion-home", "ion-icecream", "ion-image", "ion-images", "ion-information", "ion-information-circled", "ion-ionic", "ion-ios-alarm", "ion-ios-alarm-outline", "ion-ios-albums", "ion-ios-albums-outline", "ion-ios-americanfootball", "ion-ios-americanfootball-outline", "ion-ios-analytics", "ion-ios-analytics-outline", "ion-ios-arrow-back", "ion-ios-arrow-down", "ion-ios-arrow-forward", "ion-ios-arrow-left", "ion-ios-arrow-right", "ion-ios-arrow-thin-down", "ion-ios-arrow-thin-left", "ion-ios-arrow-thin-right", "ion-ios-arrow-thin-up", "ion-ios-arrow-up", "ion-ios-at", "ion-ios-at-outline", "ion-ios-barcode", "ion-ios-barcode-outline", "ion-ios-baseball", "ion-ios-baseball-outline", "ion-ios-basketball", "ion-ios-basketball-outline", "ion-ios-bell", "ion-ios-bell-outline", "ion-ios-body", "ion-ios-body-outline", "ion-ios-bolt", "ion-ios-bolt-outline", "ion-ios-book", "ion-ios-book-outline", "ion-ios-bookmarks", "ion-ios-bookmarks-outline", "ion-ios-box", "ion-ios-box-outline", "ion-ios-briefcase", "ion-ios-briefcase-outline", "ion-ios-browsers", "ion-ios-browsers-outline", "ion-ios-calculator", "ion-ios-calculator-outline", "ion-ios-calendar", "ion-ios-calendar-outline", "ion-ios-camera", "ion-ios-camera-outline", "ion-ios-cart", "ion-ios-cart-outline", "ion-ios-chatboxes", "ion-ios-chatboxes-outline", "ion-ios-chatbubble", "ion-ios-chatbubble-outline", "ion-ios-checkmark", "ion-ios-checkmark-empty", "ion-ios-checkmark-outline", "ion-ios-circle-filled", "ion-ios-circle-outline", "ion-ios-clock", "ion-ios-clock-outline", "ion-ios-close", "ion-ios-close-empty", "ion-ios-close-outline", "ion-ios-cloud", "ion-ios-cloud-download", "ion-ios-cloud-download-outline", "ion-ios-cloud-outline", "ion-ios-cloud-upload", "ion-ios-cloud-upload-outline", "ion-ios-cloudy", "ion-ios-cloudy-night", "ion-ios-cloudy-night-outline", "ion-ios-cloudy-outline", "ion-ios-cog", "ion-ios-cog-outline", "ion-ios-color-filter", "ion-ios-color-filter-outline", "ion-ios-color-wand", "ion-ios-color-wand-outline", "ion-ios-compose", "ion-ios-compose-outline", "ion-ios-contact", "ion-ios-contact-outline", "ion-ios-copy", "ion-ios-copy-outline", "ion-ios-crop", "ion-ios-crop-strong", "ion-ios-download", "ion-ios-download-outline", "ion-ios-drag", "ion-ios-email", "ion-ios-email-outline", "ion-ios-eye", "ion-ios-eye-outline", "ion-ios-fastforward", "ion-ios-fastforward-outline", "ion-ios-filing", "ion-ios-filing-outline", "ion-ios-film", "ion-ios-film-outline", "ion-ios-flag", "ion-ios-flag-outline", "ion-ios-flame", "ion-ios-flame-outline", "ion-ios-flask", "ion-ios-flask-outline", "ion-ios-flower", "ion-ios-flower-outline", "ion-ios-folder", "ion-ios-folder-outline", "ion-ios-football", "ion-ios-football-outline", "ion-ios-game-controller-a", "ion-ios-game-controller-a-outline", "ion-ios-game-controller-b", "ion-ios-game-controller-b-outline", "ion-ios-gear", "ion-ios-gear-outline", "ion-ios-glasses", "ion-ios-glasses-outline", "ion-ios-grid-view", "ion-ios-grid-view-outline", "ion-ios-heart", "ion-ios-heart-outline", "ion-ios-help", "ion-ios-help-empty", "ion-ios-help-outline", "ion-ios-home", "ion-ios-home-outline", "ion-ios-infinite", "ion-ios-infinite-outline", "ion-ios-information", "ion-ios-information-empty", "ion-ios-information-outline", "ion-ios-ionic-outline", "ion-ios-keypad", "ion-ios-keypad-outline", "ion-ios-lightbulb", "ion-ios-lightbulb-outline", "ion-ios-list", "ion-ios-list-outline", "ion-ios-location", "ion-ios-location-outline", "ion-ios-locked", "ion-ios-locked-outline", "ion-ios-loop", "ion-ios-loop-strong", "ion-ios-medical", "ion-ios-medical-outline", "ion-ios-medkit", "ion-ios-medkit-outline", "ion-ios-mic", "ion-ios-mic-off", "ion-ios-mic-outline", "ion-ios-minus", "ion-ios-minus-empty", "ion-ios-minus-outline", "ion-ios-monitor", "ion-ios-monitor-outline", "ion-ios-moon", "ion-ios-moon-outline", "ion-ios-more", "ion-ios-more-outline", "ion-ios-musical-note", "ion-ios-musical-notes", "ion-ios-navigate", "ion-ios-navigate-outline", "ion-ios-nutrition", "ion-ios-nutrition-outline", "ion-ios-paper", "ion-ios-paper-outline", "ion-ios-paperplane", "ion-ios-paperplane-outline", "ion-ios-partlysunny", "ion-ios-partlysunny-outline", "ion-ios-pause", "ion-ios-pause-outline", "ion-ios-paw", "ion-ios-paw-outline", "ion-ios-people", "ion-ios-people-outline", "ion-ios-person", "ion-ios-person-outline", "ion-ios-personadd", "ion-ios-personadd-outline", "ion-ios-photos", "ion-ios-photos-outline", "ion-ios-pie", "ion-ios-pie-outline", "ion-ios-pint", "ion-ios-pint-outline", "ion-ios-play", "ion-ios-play-outline", "ion-ios-plus", "ion-ios-plus-empty", "ion-ios-plus-outline", "ion-ios-pricetag", "ion-ios-pricetag-outline", "ion-ios-pricetags", "ion-ios-pricetags-outline", "ion-ios-printer", "ion-ios-printer-outline", "ion-ios-pulse", "ion-ios-pulse-strong", "ion-ios-rainy", "ion-ios-rainy-outline", "ion-ios-recording", "ion-ios-recording-outline", "ion-ios-redo", "ion-ios-redo-outline", "ion-ios-refresh", "ion-ios-refresh-empty", "ion-ios-refresh-outline", "ion-ios-reload", "ion-ios-reverse-camera", "ion-ios-reverse-camera-outline", "ion-ios-rewind", "ion-ios-rewind-outline", "ion-ios-rose", "ion-ios-rose-outline", "ion-ios-search", "ion-ios-search-strong", "ion-ios-settings", "ion-ios-settings-strong", "ion-ios-shuffle", "ion-ios-shuffle-strong", "ion-ios-skipbackward", "ion-ios-skipbackward-outline", "ion-ios-skipforward", "ion-ios-skipforward-outline", "ion-ios-snowy", "ion-ios-speedometer", "ion-ios-speedometer-outline", "ion-ios-star", "ion-ios-star-half", "ion-ios-star-outline", "ion-ios-stopwatch", "ion-ios-stopwatch-outline", "ion-ios-sunny", "ion-ios-sunny-outline", "ion-ios-telephone", "ion-ios-telephone-outline", "ion-ios-tennisball", "ion-ios-tennisball-outline", "ion-ios-thunderstorm", "ion-ios-thunderstorm-outline", "ion-ios-time", "ion-ios-time-outline", "ion-ios-timer", "ion-ios-timer-outline", "ion-ios-toggle", "ion-ios-toggle-outline", "ion-ios-trash", "ion-ios-trash-outline", "ion-ios-undo", "ion-ios-undo-outline", "ion-ios-unlocked", "ion-ios-unlocked-outline", "ion-ios-upload", "ion-ios-upload-outline", "ion-ios-videocam", "ion-ios-videocam-outline", "ion-ios-volume-high", "ion-ios-volume-low", "ion-ios-wineglass", "ion-ios-wineglass-outline", "ion-ios-world", "ion-ios-world-outline", "ion-ipad", "ion-iphone", "ion-ipod", "ion-jet", "ion-key", "ion-knife", "ion-laptop", "ion-leaf", "ion-levels", "ion-lightbulb", "ion-link", "ion-load-a", "ion-load-b", "ion-load-c", "ion-load-d", "ion-location", "ion-lock-combination", "ion-locked", "ion-log-in", "ion-log-out", "ion-loop", "ion-magnet", "ion-male", "ion-man", "ion-map", "ion-medkit", "ion-merge", "ion-mic-a", "ion-mic-b", "ion-mic-c", "ion-minus", "ion-minus-circled", "ion-minus-round", "ion-model-s", "ion-monitor", "ion-more", "ion-mouse", "ion-music-note", "ion-navicon", "ion-navicon-round", "ion-navigate", "ion-network", "ion-no-smoking", "ion-nuclear", "ion-outlet", "ion-paintbrush", "ion-paintbucket", "ion-paper-airplane", "ion-paperclip", "ion-pause", "ion-person", "ion-person-add", "ion-person-stalker", "ion-pie-graph", "ion-pin", "ion-pinpoint", "ion-pizza", "ion-plane", "ion-planet", "ion-play", "ion-playstation", "ion-plus", "ion-plus-circled", "ion-plus-round", "ion-podium", "ion-pound", "ion-power", "ion-pricetag", "ion-pricetags", "ion-printer", "ion-pull-request", "ion-qr-scanner", "ion-quote", "ion-radio-waves", "ion-record", "ion-refresh", "ion-reply", "ion-reply-all", "ion-ribbon-a", "ion-ribbon-b", "ion-sad", "ion-sad-outline", "ion-scissors", "ion-search", "ion-settings", "ion-share", "ion-shuffle", "ion-skip-backward", "ion-skip-forward", "ion-social-android", "ion-social-android-outline", "ion-social-angular", "ion-social-angular-outline", "ion-social-apple", "ion-social-apple-outline", "ion-social-bitcoin", "ion-social-bitcoin-outline", "ion-social-buffer", "ion-social-buffer-outline", "ion-social-chrome", "ion-social-chrome-outline", "ion-social-codepen", "ion-social-codepen-outline", "ion-social-css3", "ion-social-css3-outline", "ion-social-designernews", "ion-social-designernews-outline", "ion-social-dribbble", "ion-social-dribbble-outline", "ion-social-dropbox", "ion-social-dropbox-outline", "ion-social-euro", "ion-social-euro-outline", "ion-social-facebook", "ion-social-facebook-outline", "ion-social-foursquare", "ion-social-foursquare-outline", "ion-social-freebsd-devil", "ion-social-github", "ion-social-github-outline", "ion-social-google", "ion-social-google-outline", "ion-social-googleplus", "ion-social-googleplus-outline", "ion-social-hackernews", "ion-social-hackernews-outline", "ion-social-html5", "ion-social-html5-outline", "ion-social-instagram", "ion-social-instagram-outline", "ion-social-javascript", "ion-social-javascript-outline", "ion-social-linkedin", "ion-social-linkedin-outline", "ion-social-markdown", "ion-social-nodejs", "ion-social-octocat", "ion-social-pinterest", "ion-social-pinterest-outline", "ion-social-python", "ion-social-reddit", "ion-social-reddit-outline", "ion-social-rss", "ion-social-rss-outline", "ion-social-sass", "ion-social-skype", "ion-social-skype-outline", "ion-social-snapchat", "ion-social-snapchat-outline", "ion-social-tumblr", "ion-social-tumblr-outline", "ion-social-tux", "ion-social-twitch", "ion-social-twitch-outline", "ion-social-twitter", "ion-social-twitter-outline", "ion-social-usd", "ion-social-usd-outline", "ion-social-vimeo", "ion-social-vimeo-outline", "ion-social-whatsapp", "ion-social-whatsapp-outline", "ion-social-windows", "ion-social-windows-outline", "ion-social-wordpress", "ion-social-wordpress-outline", "ion-social-yahoo", "ion-social-yahoo-outline", "ion-social-yen", "ion-social-yen-outline", "ion-social-youtube", "ion-social-youtube-outline", "ion-soup-can", "ion-soup-can-outline", "ion-speakerphone", "ion-speedometer", "ion-spoon", "ion-star", "ion-stats-bars", "ion-steam", "ion-stop", "ion-thermometer", "ion-thumbsdown", "ion-thumbsup", "ion-toggle", "ion-toggle-filled", "ion-transgender", "ion-trash-a", "ion-trash-b", "ion-trophy", "ion-tshirt", "ion-tshirt-outline", "ion-umbrella", "ion-university", "ion-unlocked", "ion-upload", "ion-usb", "ion-videocamera", "ion-volume-high", "ion-volume-low", "ion-volume-medium", "ion-volume-mute", "ion-wand", "ion-waterdrop", "ion-wifi", "ion-wineglass", "ion-woman", "ion-wrench", "ion-xbox"]}]')
                )
			);

            $icon_fonts_active = g5Theme()->options()->get_icon_active();
            if(!empty($icon_fonts_active) && in_array('organic-food', $icon_fonts_active)) {
                $config['organic-food'] = array(
                    'label' => esc_html__('Organic Food', 'g5plus-april'),
                    'iconGroup' => json_decode('[{"id": "organic-food", "title": "Organic Food", "icons": ["icon-apple", "icon-banana", "icon-basket", "icon-blender", "icon-bread", "icon-broccoli", "icon-carrot", "icon-coconut", "icon-corn", "icon-cucumber", "icon-egg", "icon-eggplant", "icon-ekobag", "icon-grain", "icon-grape", "icon-honey", "icon-jam", "icon-leaf", "icon-lemon", "icon-lettuce", "icon-milk", "icon-mushrooms", "icon-onion", "icon-pear", "icon-pepper", "icon-radish", "icon-smoothie", "icon-squeezer", "icon-tomato", "icon-watermelon"]}]')
                );
            }
            return apply_filters('gsf_icon_font_config', $config);
		}
	}
}